calmeasure <- function(a, b, ta, tb, sparsity=TRUE){
  # index for true nonzero elements
  if(sparsity == TRUE){
    tunonzeroind <- which(abs(ta)>0)

    aTP <- sum(abs(a[tunonzeroind]) >= 1e-4)
    aTN <- sum(abs(a[-tunonzeroind]) < 1e-4)
    aFP <- sum(abs(b[-tunonzeroind]) >= 1e-4)
    aFN <- sum(abs(b[tunonzeroind]) < 1e-4)
    aSens <- aTP / (aTP+aFN)
    aSpec <- aTN / (aTN+aFP)
    aMCC <- (as.numeric(aTP*aTN) - as.numeric(aFP*aFN))/sqrt( as.numeric(aTP+aFN)*as.numeric(aTN+aFP)*as.numeric(aTP+aFP)*as.numeric(aTN+aFN) )
  }
  ta1 <- as.matrix(ta)
  ea1 <- as.matrix(a)
  norm.ta1 <- sqrt(t(ta1)%*%ta1)
  norm.ea1 <- sqrt(t(ea1)%*%ea1)
  aAngle <- t(ta1)%*%ea1 / (norm.ta1*norm.ea1)

  if(sparsity == TRUE){
    tvnonzeroind <- which(abs(tb)>0)

    bTP <- sum(abs(b[tvnonzeroind]) >= 1e-4)
    bTN <- sum(abs(b[-tvnonzeroind]) < 1e-4)
    bFP <- sum(abs(b[-tvnonzeroind]) >= 1e-4)
    bFN <- sum(abs(b[tvnonzeroind]) < 1e-4)
    bSens <- bTP / (bTP+bFN)
    bSpec <- bTN / (bTN+bFP)
    bMCC <- (as.numeric(bTP*bTN) - as.numeric(bFP*bFN))/sqrt( as.numeric(bTP+bFN)*as.numeric(bTN+bFP)*as.numeric(bTP+bFP)*as.numeric(bTN+bFN) )
  }
  tb1 <- as.matrix(tb)
  eb1 <- as.matrix(b)
  norm.tb1 <- sqrt(t(tb1)%*%tb1)
  norm.eb1 <- sqrt(t(eb1)%*%eb1)
  bAngle <- t(tb1)%*%eb1 / (norm.tb1*norm.eb1)

  if(sparsity == TRUE){
    numbers <- c(aTP, aTN, aFP, aFN, bTP, bTN, bFP, bFN)
    measures <- c(aSens, aSpec, aMCC, aAngle, bSens, bSpec, bMCC, bAngle)
    return(list("numbers"=numbers, "measures"=measures))
  }else{
    angles <- c(aAngle, bAngle)
    return(list("numbers"=NULL, "measures"=angles))
  }
}
