% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/sscia.r
\docType{data}
\name{demoData}
\alias{demoData}
\title{Demo Dataset for Penalized Co-Inertia Analysis (CIA)}
\usage{
data(demoData)
}
\description{
Reduced data used for the first scenario simulations in the paper.
}
\details{
\itemize{
   \item p = 400. dimension of feateres in the data \code{X}
   \item q = 500. dimension of features in the data \code{Y}
   \item n = 200. sample size for one simulated data.
   \item nmcsample = 10. number of Monte Carlo simulated data.
   \item K=1.  number of loading pairs to be estimated.
   \item setX.  (n*nmcsample)-by-p data matrix
   \item setY.  (n*nmcsample)-by-q data matrix
   \item D.  n-by-n diagonal weight matrix for samples.
   \item Qx.  p-by-p diagonal weight matrix for variables of \code{X}.
   \item Qy.  q-by-q diagonal weight matrix for variables of \code{Y}.
   \item ta. true loading vector used to generate MC \code{X} datasets.
   \item tb. true loading vector used to generate MC \code{Y} datasets.
   \item eX. matrix that has two columns. Each rows contains location of variabes
that are connected to each other in the data \code{X}.
   \item eY. matrix that has two columns. Each rows contains location of variabes
that are connected to each other in the data \code{Y}.
}
}
\examples{
data(demoData)
}
\references{
Penalized Co-Inertia Analysis with application to -Omics data, Min et al. (2018)
}
