% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/fitscia.R
\name{fitscia}
\alias{fitscia}
\title{Sparse Co-Inercia Analysis}
\usage{
fitscia(X, Y, na, nb, lambdas, maxiter = 100)
}
\arguments{
\item{X}{n-by-p transformed data matrix of \code{X}, samples are rows and columns are features.}

\item{Y}{n-by-q transformeddata matrix of \code{Y}, samples are rows and columns are features.}

\item{na}{p-by-1 vector, initial values of loading vector of variables in \code{X}.}

\item{nb}{q-by-1 vector, initial values of loading vector of variables in \code{Y}.}

\item{lambdas}{2-by-1 vector, containing sparsity penalty parameter values for
the features space of \code{X} and \code{Y} each.}
}
\value{
This function returns a list object.
\item{call}{the matched call.}
\item{res.opta}{the estimated loading vector of of transformated matrix of \code{X}.}
\item{res.optb}{the estimated loading vector of of transformated matrix of \code{Y}.}
}
\description{
This function conduct sparse CIA for a given tuning parameter value.
}
\examples{
library(pCIA)
data("demoData"); attach(demoData)
X <- setX[1:n,]; nX <- sweep(X, 2, apply(X, 2, mean))
Y <- setY[1:n,]; nY <- sweep(Y, 2, apply(Y, 2, mean))
result.cia <- oCIA(nX, nY, D, Qx, Qy)
result.scia <- fitscia(nX, nY, result.cia$res.opta[,1], result.cia$res.optb[,1], c(6, 6))
}
\seealso{
see also \code{\link{oCIA}}, \code{\link{sCIA.cv}}.
}
