% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/genpInput.R
\name{genpInput}
\alias{genpInput}
\title{Generate Co-inertia Analysis Figure}
\usage{
genpInput(respcia, namesX, namesY, samplename, class, X, Y, D, Qx, Qy)
}
\arguments{
\item{respcia}{an object of class \code{pcia}, result output of functions \code{\link{fitscia}},\code{\link{fitsscia}},
\code{\link{sCIA.cv}}, and \code{\link{ssCIA.cv}}.}

\item{namesX}{variable name of data \code{X}.}

\item{namesY}{variable name of data \code{Y}.}

\item{samplename}{list of sample names.}

\item{class}{class information of samples.}

\item{X}{n-by-p data matrix, samples are rows and columns are features.}

\item{Y}{n-by-q data matrix, samples are rows and columns are features.}

\item{D}{n-by-n diagonal weight matrix for samples.}

\item{Qx}{p-by-p diagonal weight matrix for variables of X.}

\item{Qy}{q-by-q diagonal weight matrix for variables of Y.}
}
\value{
This function returns required coordinate informations and label informations used for generating CIA plots.
}
\description{
This function generate an object that is used as an input for the function \code{\link{plot.pcia}} that generates
 CIA plots.
}
\examples{
library(pCIA)
data(list="NCI60", package="made4")
X <- t(NCI60$Ross)
Y <- t(NCI60$Affy)
D <- diag(dim(X)[1]); Qx <- diag(apply(abs(X), 2, sum) / sum(abs(X))); Qy <- diag(apply(abs(Y), 2, sum) / sum(abs(Y)))
nX <- sweep(X, 2, apply(X, 2, mean)); nY <- sweep(Y, 2, apply(Y, 2, mean))
result.cia <- oCIA(nX, nY, D, Qx, Qy)
pinput <- genpInput(result.cia, NCI60$Annot[,2], NCI60$Annot[,4], NCI60$classes[,1], NCI60$classes[,2], nX, nY, D, Qx, Qy)
}
\seealso{
see also plot.pcia
}
