% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/oCIA.R
\name{oCIA}
\alias{oCIA}
\title{Co-Inercia Analysis (CIA)}
\usage{
oCIA(X, Y, D, Qx, Qy)
}
\arguments{
\item{X}{n-by-p data matrix, samples are rows and columns are features.}

\item{Y}{n-by-q data matrix, samples are rows and columns are features.}

\item{D}{n-by-n diagonal weight matrix for samples.}

\item{Qx}{p-by-p diagonal weight matrix for variables of X.}

\item{Qy}{q-by-q diagonal weight matrix for variables of Y.}
}
\value{
This function returns a list object.
\item{call}{the matched call.}
\item{res.opta}{estimated loading vectors of of the transformated matrix \eqn{D^{1/2} X Qx^{1/2}}.}
\item{res.optb}{estimated loading vectors of of the transformated matrix \eqn{D^{1/2} Y Qy^{1/2}}.}
\item{res.optu}{estimated loading vectors of of the matrix \code{X}.}
\item{res.optv}{estimated loading vectors of of the matrix \code{Y}.}
\item{ecoi}{estimated co-inertia values}
}
\description{
This function conduct CIA.
}
\examples{
data("demoData"); attach(demoData)
X <- setX[1:n,]; nX <- sweep(X, 2, apply(X, 2, mean))
Y <- setY[1:n,]; nY <- sweep(Y, 2, apply(Y, 2, mean))
result.cia <- oCIA(nX, nY, D, Qx, Qy)
}
