% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/plot.pcia.R
\name{plot.pcia}
\alias{plot.pcia}
\title{Generate Co-inertia Analysis Figure}
\usage{
\method{plot}{pcia}(x, nlab = 10, labels = NULL, ...)
}
\arguments{
\item{nlab}{number of labels that is shown in the figure.}

\item{X}{inputs generated by the function genpinput contains estimated loaading vectors, normalized loading vectors, 
labels of variables of two datasets, group labels for samples.}
}
\value{
This function returns three different figures.
}
\description{
This function generate output plots of CIA. Functions are based on the functions included in the R package ade4 and made4.
}
\examples{
library(pCIA)
data(list="NCI60", package="made4")
X <- t(NCI60$Ross)
Y <- t(NCI60$Affy)
D <- diag(dim(X)[1]); Qx <- diag(apply(abs(X), 2, sum) / sum(abs(X))); Qy <- diag(apply(abs(Y), 2, sum) / sum(abs(Y)))
nX <- sweep(X, 2, apply(X, 2, mean)); nY <- sweep(Y, 2, apply(Y, 2, mean))
result.cia <- oCIA(nX, nY, D, Qx, Qy)
pinput <- genpInput(result.cia, NCI60$Annot[,2], NCI60$Annot[,4], NCI60$classes[,1], NCI60$classes[,2], nX, nY, D, Qx, Qy)
plot(pinput, nlab=5, labels = NULL)
}
